Option | Description | Values | Default
--- | --- | --- | ---
packageName | Client package name (e.g. org.openapitools.client). |  | Org.OpenAPITools
packageGuid | GUID for PowerShell module (e.g. a27b908d-2a20-467f-bc32-af6f3a654ac5). A random GUID will be generated by default. |  | null
csharpClientPath | Path to the C# API client generated by OpenAPI Generator, e.g. $ScriptDir..\csharp\OpenAPIClient where $ScriptDir is the current directory. NOTE: you will need to generate the C# API client separately. |  | $ScriptDir\csharp\OpenAPIClient

##
IMPORT MAPPING

Type/Alias | Imports
--- | ---
LocalDateTime | org.joda.time.*
Set | java.util.*
LocalTime | org.joda.time.*
HashMap | java.util.HashMap
ArrayList | java.util.ArrayList
URI | java.net.URI
Timestamp | java.sql.Timestamp
LocalDate | org.joda.time.*
BigDecimal | java.math.BigDecimal
Date | java.util.Date
DateTime | org.joda.time.*
Array | java.util.List
List | java.util.*
UUID | java.util.UUID
File | java.io.File
Map | java.util.Map

##
INSTANTIATION TYPES

Type/Alias | Instantiated By
--- | ---

##
LANGUAGE PRIMITIVES

- System.DateTime
- SByte
- XmlDocument
- String
- Guid
- Int16
- Double
- Uri
- TimeSpan
- Decimal
- Byte[]
- Int64
- Single
- Version
- Int32
- Char
- Byte
- UInt16
- ProgressRecord
- UInt64
- Boolean
- UInt32
- SecureString

##
RESERVED WORDS

- In
- Catch
- Break
- Process
- Continue
- Elseif
- Function
- Dynamicparam
- Throw
- Begin
- Try
- Private
- Exit
- Until
- Return
- For
- Local
- Data
- Trap
- Do
- From
- While
- Switch
- Filter
- Else
- Param
- Foreach
- End
- If
- Where
- Finally

Last updated on 1/9/2020